Loading...
Searching...
No Matches
_PidginPluginUiInfo Struct Reference

A GTK+ UI structure for plugins. More...

`#include <gtkplugin.h>`

## Data Fields

GtkWidget *(* | get_config_frame )(PurplePlugin *plugin)
int | page_num
| Reserved.
void(* | _pidgin_reserved1 )(void)
void(* | _pidgin_reserved2 )(void)
void(* | _pidgin_reserved3 )(void)
void(* | _pidgin_reserved4 )(void)

## Detailed Description

A GTK+ UI structure for plugins.

Definition at line 37 of file gtkplugin.h.

## Field Documentation

## _pidgin_reserved1

void(* _PidginPluginUiInfo::_pidgin_reserved1) (void)

Definition at line 44 of file gtkplugin.h.

## _pidgin_reserved2

void(* _PidginPluginUiInfo::_pidgin_reserved2) (void)

Definition at line 45 of file gtkplugin.h.

## _pidgin_reserved3

void(* _PidginPluginUiInfo::_pidgin_reserved3) (void)

Definition at line 46 of file gtkplugin.h.

## _pidgin_reserved4

void(* _PidginPluginUiInfo::_pidgin_reserved4) (void)

Definition at line 47 of file gtkplugin.h.

## get_config_frame

GtkWidget *(* _PidginPluginUiInfo::get_config_frame) (PurplePlugin *plugin)

Definition at line 39 of file gtkplugin.h.

## page_num

int _PidginPluginUiInfo::page_num

Reserved.

Definition at line 41 of file gtkplugin.h.

The documentation for this struct was generated from the following file:

- gtkplugin.h